package com.prolog.eis.service.shelves;


import com.prolog.eis.dto.shelves.CategoryAreaDto;
import com.prolog.eis.dto.shelves.FindCategoryAreaDto;
import com.prolog.eis.model.shelves.CategoryAreaNo;

import java.util.List;

public interface CategoryAreaNoService {

    List<CategoryAreaNo> query(FindCategoryAreaDto dto) throws Exception;

    void update(CategoryAreaDto dto);

    void delete(Long id);

    void save(CategoryAreaDto dto);


    List<String> queryArea();
}
